Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class AssemblyDescriptorMetaData

    java.lang.Object
      org.jboss.metadata.MetaData
          org.jboss.metadata.AssemblyDescriptorMetaData

All Implemented Interfaces:
  Cloneable, XmlLoadable

public class AssemblyDescriptorMetaData
extends MetaData

The meta data object for the assembly-descriptor element. This implementation only contains the security-role meta data

Version:
  $Revision: 1.3.6.1 $
Author:
  Thomas.Diesler@jboss.org

Field Summary

Fields inherited from class org.jboss.metadata.MetaData
`log, TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`AssemblyDescriptorMetaData()`

Method Summary
`void` | `addMessageDestinationMetaData(MessageDestinationMetaData metaData)`
`void` | `addSecurityRoleMetaData(SecurityRoleMetaData srMetaData)`
`MessageDestinationMetaData` | `getMessageDestinationMetaData(String name)`
`SecurityRoleMetaData` | `getSecurityRoleByName(String roleName)`
`Set` | `getSecurityRoleNamesByPrincipal(String userName)`
`Map` | `getSecurityRoles()`
`void` | `mergeSecurityRoles(Map applRoles)` Merge the security role/principal mapping defined in jboss.xml with the one defined at jboss-app.xml.

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementAttribute, getElementContent, getElementContent, getFirstElementContent, getOptionalChild, getOptionalChild, getOptionalChildBooleanContent, getOptionalChildBooleanContent, getOptionalChildContent, getOptionalChildContent, getUniqueChild, getUniqueChildContent, importEjbJarXml, importJbossXml, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssemblyDescriptorMetaData

    public AssemblyDescriptorMetaData()

Method Detail

### addSecurityRoleMetaData

    public void addSecurityRoleMetaData(SecurityRoleMetaData srMetaData)

### getSecurityRoles

    public Map getSecurityRoles()

### mergeSecurityRoles

    public void mergeSecurityRoles(Map applRoles)

  Merge the security role/principal mapping defined in jboss.xml with the one defined at jboss-app.xml.

### getSecurityRoleByName

    public SecurityRoleMetaData getSecurityRoleByName(String roleName)

### getSecurityRoleNamesByPrincipal

    public Set getSecurityRoleNamesByPrincipal(String userName)

### addMessageDestinationMetaData

    public void addMessageDestinationMetaData(MessageDestinationMetaData metaData)

### getMessageDestinationMetaData

    public MessageDestinationMetaData getMessageDestinationMetaData(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.